# Jest reporter action

[![codecov](https://codecov.io/gh/vebr/jest-lcov-reporter/branch/master/graph/badge.svg)](https://codecov.io/gh/vebr/jest-lcov-reporter)

This action comments a pull request with a HTML test coverage report.

The report is based on the lcov coverage report generated by your test runner.

Note that this action does not run any tests, but instead expects the tests to have been run
by another action already.

## Inputs

##### `github-token` (**Required**)
Github token used for posting the comment. To use the key provided by the GitHub
action runner, use `${{ secrets.GITHUB_TOKEN }}`.

##### `name` (**Optional**)
A name that will be included in the title of the comment. Good if you have multiple
reports being run and want to differentiate them.

##### `lcov-file` (**Optional**)
The location of the lcov file to read the coverage report from. Defaults to
`./coverage/lcov.info`.

##### `lcov-base` (**Optional**)
The location of the lcov file resulting from running the tests in the base
branch. When this is set a diff of the coverage percentages is shown.

##### `update-comment` (**Optional**)
If `true` the comment left on the PR will be updated (if one exists) with the new report data
instead of a new comment being created. If `false` every run will create a new comment on the PR
with the new data and keep the previous comments. Defaults to `false`.

## Example usage

```yml
uses: vebr/jest-lcov-reporter@v0.2.0
with:
  github-token: ${{ secrets.GITHUB_TOKEN }}
  lcov-file: ./coverage/lcov.info
```

## Acknowledgements

The initial code is based on [ziishaned/jest-reporter-action](https://github.com/ziishaned/jest-reporter-action).
